#!/bin/sh
#----------------------------------------------------------------------------
# /tmp/install.sh - system-user-saned installation
#
# Creation   :  2023-08-01 holbru
# Last update:  $Id: install.sh 106017 2023-08-21 13:31:21Z hbfl $
#
# Copyright (c) 2023-2023 Holger Bruenjes, holgerbruenjes(at)gmx(dot)net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

# set package name
package_name=system-user-saned

# ---------------------------------------------------------------------------
# running ldconfig
# ---------------------------------------------------------------------------
/usr/bin/systemd-sysusers system-user-saned.conf

if ! /usr/bin/getent passwd saned | /usr/bin/grep -q 'var/spool'
then
    /var/install/bin/modify-user -d saned '/var/spool/scan' -r
fi

group=$(/usr/bin/getent group saned | cut -d: -f3)  

if ! /usr/bin/getent passwd saned | /usr/bin/grep -q ":${group}:"
then
    /var/install/bin/modify-user -g saned 'saned' -r
fi

exit 0
# ---------------------------------------------------------------------------
# end
# ---------------------------------------------------------------------------
